Subject: Re: [IPFIX] [Technical Errata Reported] RFC5655 (1988)

From: Brian Trammell <[email-masked]>
Date: Wed, 6 Jan 2010 13:29:53 +0100

Agreed; this was a copy/paste typo. SEQUENCE would increase clarity, as well, I suppose; note that the summary in 9.1 was taken pretty much directly from RFC5485 section 3, in which SEQUENCE does not appear.

On Dec 28, 2009, at 7:40 PM, RFC Errata System wrote:

> 
> The following errata report has been submitted for RFC5655,
> "Specification of the IP Flow Information Export (IPFIX) File Format".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5655&eid=1988
> 
> --------------------------------------
> Type: Technical
> Reported by: Alfred Hoenes <[email-masked]>
> 
> Section: 9.1.3, pg.39
> 
> Original Text
> -------------
>   signedAttrs:  an optional set of attributes that are signed along
>      with the content.
> 
> |  digestAlgorithm:  identifies the digital signature algorithm and
>      associated parameters used to generate the signature.
> 
>   signature:  the digital signature of the associated file.
> 
>   unsignedAttrs:  an optional set of attributes that are not signed.
> 
> 
> Corrected Text
> --------------
>   signedAttrs:  an optional set of attributes that are signed along
>      with the content.
> 
> |  signatureAlgorithm:  identifies the digital signature algorithm and
>      associated parameters used to generate the signature.
> 
>   signature:  the digital signature of the associated file.
> 
>   unsignedAttrs:  an optional set of attributes that are not signed.
> 
> 
> Notes
> -----
> Rationale: 
> Same SEQUENCE element name listed twice, for two different explanations.
> 
> Further Note (keep for update!):
>  In Section 9.1, in the ASN.1 on page 37, for a better approximation
>  to ASN.1, all pairs of curly braces, "{" ... "}", should better be
>  preceded by the keyword "SEQUENCE".
> 
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5655 (draft-ietf-ipfix-file-05)
> --------------------------------------
> Title               : Specification of the IP Flow Information Export (IPFIX) File Format
> Publication Date    : October 2009
> Author(s)           : B. Trammell, E. Boschi, L. Mark, T. Zseby, A. Wagner
> Category            : PROPOSED STANDARD
> Source              : IP Flow Information Export
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix